org.eclipse.oomph.setup

## Class EAnnotationConstants

- java.lang.Object
- - org.eclipse.oomph.setup.EAnnotationConstants

-     public final class EAnnotationConstants
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATION_ENABLEMENT`
    `static String` | `ANNOTATION_RULE_VARIABLE`
    `static String` | `ANNOTATION_VALID_TRIGGERS`
    `static String` | `ANNOTATION_VARIABLE`
    `static String` | `KEY_DESCRIPTION`
    `static String` | `KEY_EXPLICIT_DESCRIPTION`
    `static String` | `KEY_EXPLICIT_LABEL`
    `static String` | `KEY_EXPLICIT_TYPE`
    `static String` | `KEY_INSTALLABLE_UNITS`
    `static String` | `KEY_LABEL`
    `static String` | `KEY_NAME`
    `static String` | `KEY_REPOSITORY`
    `static String` | `KEY_STORAGE_URI`
    `static String` | `KEY_TRIGGERS`
    `static String` | `KEY_TYPE`
    `static String` | `KEY_VALUE`
    `static String` | `KEY_VARIABLE_NAME`
    `static String` | `NESTED_ANNOTATION_CHOICE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_VALID_TRIGGERS

          public static final String ANNOTATION_VALID_TRIGGERS

      See Also:
        Constant Field Values

    - #### KEY_TRIGGERS

          public static final String KEY_TRIGGERS

      See Also:
        Constant Field Values

    - #### ANNOTATION_ENABLEMENT

          public static final String ANNOTATION_ENABLEMENT

      See Also:
        Constant Field Values

    - #### KEY_VARIABLE_NAME

          public static final String KEY_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### KEY_REPOSITORY

          public static final String KEY_REPOSITORY

      See Also:
        Constant Field Values

    - #### KEY_INSTALLABLE_UNITS

          public static final String KEY_INSTALLABLE_UNITS

      See Also:
        Constant Field Values

    - #### ANNOTATION_VARIABLE

          public static final String ANNOTATION_VARIABLE

      See Also:
        Constant Field Values

    - #### KEY_EXPLICIT_TYPE

          public static final String KEY_EXPLICIT_TYPE

      See Also:
        Constant Field Values

    - #### KEY_EXPLICIT_LABEL

          public static final String KEY_EXPLICIT_LABEL

      See Also:
        Constant Field Values

    - #### KEY_EXPLICIT_DESCRIPTION

          public static final String KEY_EXPLICIT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### ANNOTATION_RULE_VARIABLE

          public static final String ANNOTATION_RULE_VARIABLE

      See Also:
        Constant Field Values

    - #### KEY_TYPE

          public static final String KEY_TYPE

      See Also:
        Constant Field Values

    - #### KEY_NAME

          public static final String KEY_NAME

      See Also:
        Constant Field Values

    - #### KEY_LABEL

          public static final String KEY_LABEL

      See Also:
        Constant Field Values

    - #### KEY_DESCRIPTION

          public static final String KEY_DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEY_VALUE

          public static final String KEY_VALUE

      See Also:
        Constant Field Values

    - #### KEY_STORAGE_URI

          public static final String KEY_STORAGE_URI

      See Also:
        Constant Field Values

    - #### NESTED_ANNOTATION_CHOICE

          public static final String NESTED_ANNOTATION_CHOICE

      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html